#include <bits/stdc++.h>
 
 void removeNumber(int numbers[], int idx, int &size)
{
	int i;
	for(i = idx; i < size - 1; i++)
		numbers[i] = numbers[i + 1];
	size--;
}

void removeDuplicate(int numbers[], int &size)
{
	int i, j;
	int number;
	for(i = 0; i < size; i++)
	{
		number = numbers[i];
		for(j = i + 1; j < size; j++)
		{
			if(number == numbers[j])
			{
				removeNumber(numbers, j, size); j--;			
			}
		}
	}
}
 
 main()
 {
 	int N,izlaz;
 	scanf("%d",&N);
 	int noviN=N;
 	int nN=N;
 	int R1[N],C1[N];
 	for(int i=0;i<N;i++)
 	scanf("%d %d",&R1[i],&C1[i]);
	 	removeDuplicate(R1, N);
	 	removeDuplicate(C1, nN);
	 	izlaz=noviN-N+noviN-nN;
 		printf("%d",izlaz);
 }